Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.mondrian
Class MondrianSortRank

    java.lang.Object
      com.tonbeller.jpivot.core.ExtensionSupport
          com.tonbeller.jpivot.olap.query.SortRankBase
              com.tonbeller.jpivot.mondrian.MondrianSortRank

All Implemented Interfaces:
  Extension, ExpressionConstants, SortRank, QuaxChangeListener, java.util.EventListener

    public class MondrianSortRank

extends SortRankBase
implements SortRank, QuaxChangeListener

Author:
  hh Implementation of the Sort Extension for Mondrian Data Source.

Field Summary

Fields inherited from class com.tonbeller.jpivot.olap.query.SortRankBase
`quaxToSort, sorting, sortMode, sortPosMembers, topBottomCount`

Fields inherited from interface com.tonbeller.jpivot.olap.navi.SortRank
`ID`

Fields inherited from interface com.tonbeller.jpivot.olap.model.ExpressionConstants
`ASC, BASC, BDESC, BOTTOMCOUNT, DESC, TOPCOUNT`

Constructor Summary
`MondrianSortRank()`

Method Summary
`void` | `addSortToQuery()` apply sort to mondrian query

Methods inherited from class com.tonbeller.jpivot.olap.query.SortRankBase
`activeQuaxToSort, getQuaxToSort, getSortMode, getSortPosMembers, getTopBottomCount, isCurrentSorting, isSortable, isSorting, isSortOnQuery, quaxChanged, reset, setQuaxToSort, setSorting, setSortMode, setSortPosMembers, setTopBottomCount, sort`

Methods inherited from class com.tonbeller.jpivot.core.ExtensionSupport
`decorate, getId, getModel, modelInitialized, setId, setModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.olap.navi.SortRank
`getSortMode, getTopBottomCount, isCurrentSorting, isSortable, isSorting, setSorting, setSortMode, setTopBottomCount, sort`

Methods inherited from interface com.tonbeller.jpivot.core.Extension
`decorate, getId, modelInitialized, setModel`

Methods inherited from interface com.tonbeller.jpivot.olap.query.QuaxChangeListener
`quaxChanged`

Constructor Detail

### MondrianSortRank

    public MondrianSortRank()

Method Detail

### addSortToQuery

    public void addSortToQuery()

  apply sort to mondrian query

  Specified by:
    `addSortToQuery` in class `SortRankBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD